Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78151 - Logrotate sucks cpu when logrotate.status grows too large
Summary: Logrotate sucks cpu when logrotate.status grows too large
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 14:11 UTC by Joshua Weage
Modified: 2015-01-08 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-20 17:24:02 UTC


Attachments (Terms of Use)

Description Joshua Weage 2002-11-19 14:11:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:
I had a previous problem with logrotate creating large numbers of files in
/var/log/mailman.  I deleted all of the log files, and everything was fine for a
while.  But now, logrotate just runs and sucks up cpu for no apparent reason.

The /var/lib/logrotate.status file was about 18 MB long, so I deleted it.  Now
logrotate runs correctly.

I haven't yet verified this fix on other machines.  But I do have other users
complaining about running logrotate processes again.





Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Elliot Lee 2002-12-10 20:14:07 UTC
Not a high enough priority to investigate at this point, but patches welcome.

Comment 2 Peter Baitz 2003-02-21 14:42:36 UTC
My logrotate on two RH Linux 7.3 boxes was 17MB and I found the logrotate
deaemon taking up 99-100% USER on CPU0 (while CPU1 was idle) and TIME was 192.00
per TOP.
I am deleting the /var/lib/logrotate.status   file to see if helps.  (What kind
of silly place is /var/lib for this file !!!



Comment 3 Olivier de Mirleau 2003-05-14 20:44:01 UTC
Hi,
I also went through the logrotate-cpu-mailman-okforawhile-logrotate.status-oknow
cycle.

I can just add that as logrotate.status grows large, logrotate sucks cpu
EVEN IF you outcomment all lines in /etc/logrotate.conf

Bye, Olivier



Comment 4 Elliot Lee 2004-07-07 16:18:19 UTC
Anyone seen this problem lately (with FC2 or RHEL3, say)?


Note You need to log in before you can comment on or make changes to this bug.